/* Before After Section - START */
.before-after-wrapper {
    overflow: hidden;
}

.before-after-wrapper .before-after-header:first-child:not(:only-child),
.before-after-wrapper .before-after-container:first-child:not(:only-child) {
    margin-bottom: calc(2rem * var(--body-scale));
}

.before-after-wrapper .before-after-container {
    width: 100%;
    position: relative;
    z-index: 0;
    border: 1px solid rgb(var(--border-color));
    border-radius: calc(0.22px * var(--layout-radius));
    overflow: hidden;
}

.before-after-wrapper .before-after-container img,
.before-after-wrapper .before-after-container>svg {
    width: 100%;
    height: auto;
    display: block;
    user-select: none;
    border-radius: calc(0.22px * var(--layout-radius));
    object-fit: cover;
}

.before-after-wrapper .before-after-container.image-small>img,
.before-after-wrapper .before-after-container.image-small>svg {
    height: 40svh;
}

.before-after-wrapper .before-after-container.image-medium>img,
.before-after-wrapper .before-after-container.image-medium>svg {
    height: 60svh;
}

.before-after-wrapper .before-after-container.image-large>img,
.before-after-wrapper .before-after-container.image-large>svg {
    height: 80svh;
}

.before-after-wrapper .before-after-container.image-adapt>img,
.before-after-wrapper .before-after-container.image-adapt>svg {
    height: auto;
}

.before-after-wrapper .after-container {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    overflow: hidden;
    transform: translateX(var(--before-after));
    background-color: rgb(var(--primary-background));
}

.before-after-wrapper .after-container .image-container {
    transform: translateX(calc(var(--before-after) * -1));
    height: 100%;
}

.before-after-wrapper .after-container img,
.before-after-wrapper .after-container svg {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: calc(0.22px * var(--layout-radius));
}

.before-after-wrapper .revealer {
    display: block;
    position: absolute;
    top: 0;
    left: var(--before-after);
    transform: translateX(-50%);
    width: 2px;
    height: 100%;
    z-index: 2;
    cursor: ew-resize;
    background-color: rgb(var(--border-color));
}

.before-after-wrapper .revealer::before {
    content: "";
    display: block;
    width: calc(2.5rem * var(--body-scale));
    height: calc(2.5rem * var(--body-scale));
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.11);
    border-radius: calc(0.2px * var(--layout-radius));
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    background-color: rgb(var(--primary-button-background));
    z-index: 0;
    transition: background-color 200ms ease-in-out, transform 200ms ease-in-out, box-shadow 200ms ease-in-out;
}

.before-after-wrapper .revealer svg {
    color: rgb(var(--primary-button-label));
    width: calc(1.25rem * var(--body-scale));
    height: calc(1.25rem * var(--body-scale));
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    z-index: 1;
    transition: color 200ms ease-in-out;
    max-width: unset;
}

.before-after-wrapper .revealer:hover::before,
.before-after-wrapper .revealer.scrolling::before {
    background-color: rgb(var(--primary-button-hover-background));
    transform: translateX(-50%) translateY(-50%) scale(1.12);
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.18);
}

.before-after-wrapper .revealer:hover svg,
.before-after-wrapper .revealer.scrolling svg {
    color: rgb(var(--primary-button-hover-label));
}

@media(max-width: 767px) {
    .before-after-wrapper .revealer {
        width: 4px;
    }

    .before-after-wrapper .revealer::before {
        width: calc(2rem * var(--body-scale));
        height: calc(2rem * var(--body-scale));
        border-radius: calc(0.16px * var(--layout-radius));
    }

    .before-after-wrapper .revealer svg {
        width: calc(1.125rem * var(--body-scale));
        height: calc(1.125rem * var(--body-scale));
    }
}

.before-after-wrapper .before-text,
.before-after-wrapper .after-text {
    padding: calc(0.25rem * var(--body-scale)) calc(1.25rem * var(--body-scale));
    background-color: rgb(var(--primary-button-background));
    color: rgb(var(--primary-button-label));
    font-weight: 600;
    border-radius: calc(0.15px * var(--layout-radius));
    position: absolute;
    top: 1rem;
    z-index: 1;
    word-break: break-word;
    user-select: none;
    max-width: calc(100% - calc(1.5rem * var(--body-scale)));
}

@media(max-width: 767px) {

    .before-after-wrapper .before-text,
    .before-after-wrapper .after-text {
        padding: calc(0.125rem * var(--body-scale)) calc(0.625rem * var(--body-scale));
    }
}

.before-after-wrapper .before-text {
    left: calc(0.75rem * var(--body-scale));
}

.before-after-wrapper .after-text {
    right: calc(0.75rem * var(--body-scale));
}

/* Before After Section - END */